mostly fixes for new error handling
[distro-setup] / fsf-vpn-dns-cleanup
index cf3420ba30ebfad3961e288df3602e2733c5344a..d9e755c126e6e2491569bc1c37abec3195da174f 100755 (executable)
@@ -5,6 +5,7 @@ trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
 if ! echo | /a/exe/cedit fsf /etc/dnsmasq-servers.conf; then
   if systemctl is-active dnsmasq >/dev/null; then
-    systemctl reload dnsmasq
+    nscd -i hosts
+    systemctl restart dnsmasq
   fi
 fi